#version 330 core

layout(location=0) out vec4 vFragColor;	//wyjście shadera fragmentów

//dane wejściowe z shadera wierzchołków
smooth in vec3 vColor;			//interpolowany kolor z shadera fragmentów

void main()
{
	//interpolowany kolor z shadera wierzchołków jako kolor fragmentu
	vFragColor = vec4(vColor.xyz,1);
}